Description

ideal() * RingElem

gives error

History

#1 - 20 Jun 2017 16:20 - Anna Maria Bigatti

fixed it: now testing

#2 - 20 Jun 2017 16:27 - Anna Maria Bigatti

- Status changed from New to Feedback

- % Done changed from 0 to 90

added tests in anna.cocoa5

#3 - 08 Nov 2017 14:18 - John Abbott

Should we allow ideals to be multiplied by integers or rational numbers?

I := ideal(x);

2*I;  -->  ERR not defd

I*2;  -->  ERR not defd

RingElem(R,2)*I;  --> works

I*RingElem(R,2);  --> works

 

Also note the difference below:

I*RingElem(R,2); --> loses factor of 2

I*(2*y);         --> keeps factor of 2

Is this behaviour what we want?
#4 - 08 Nov 2017 16:59 - Anna Maria Bigatti

John Abbott wrote:

Should we allow ideals to be multiplied by integers or rational numbers?

 

I vote "no"

JAA responds  OK, let's try without; if later we need it, we can easily add it.

Also note the difference below:

[...]

Is this behaviour what we want?

 

This is the only case where it matters, and it works:

/**/ ideal(ZZ, [3]);

ideal(3)

/**/ It * RingElem(ZZ,2);;

ideal(6)

 

I think it's good enough as it is.

#5 - 08 Nov 2017 17:03 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
